// Copyright 2013 The Ebiten Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by genkeys.go using 'go generate'. DO NOT EDIT.

//go:build !android && !ios && !js && !ebitencbackend
// +build !android,!ios,!js,!ebitencbackend

package ui

import (
	"github.com/hajimehoshi/ebiten/v2/internal/glfw"
)

var glfwKeyToUIKey = map[glfw.Key]Key{
	glfw.KeyA:            KeyA,
	glfw.KeyLeftAlt:      KeyAltLeft,
	glfw.KeyRightAlt:     KeyAltRight,
	glfw.KeyDown:         KeyArrowDown,
	glfw.KeyLeft:         KeyArrowLeft,
	glfw.KeyRight:        KeyArrowRight,
	glfw.KeyUp:           KeyArrowUp,
	glfw.KeyB:            KeyB,
	glfw.KeyGraveAccent:  KeyBackquote,
	glfw.KeyBackslash:    KeyBackslash,
	glfw.KeyBackspace:    KeyBackspace,
	glfw.KeyLeftBracket:  KeyBracketLeft,
	glfw.KeyRightBracket: KeyBracketRight,
	glfw.KeyC:            KeyC,
	glfw.KeyCapsLock:     KeyCapsLock,
	glfw.KeyComma:        KeyComma,
	glfw.KeyMenu:         KeyContextMenu,
	glfw.KeyLeftControl:  KeyControlLeft,
	glfw.KeyRightControl: KeyControlRight,
	glfw.KeyD:            KeyD,
	glfw.KeyDelete:       KeyDelete,
	glfw.Key0:            KeyDigit0,
	glfw.Key1:            KeyDigit1,
	glfw.Key2:            KeyDigit2,
	glfw.Key3:            KeyDigit3,
	glfw.Key4:            KeyDigit4,
	glfw.Key5:            KeyDigit5,
	glfw.Key6:            KeyDigit6,
	glfw.Key7:            KeyDigit7,
	glfw.Key8:            KeyDigit8,
	glfw.Key9:            KeyDigit9,
	glfw.KeyE:            KeyE,
	glfw.KeyEnd:          KeyEnd,
	glfw.KeyEnter:        KeyEnter,
	glfw.KeyEqual:        KeyEqual,
	glfw.KeyEscape:       KeyEscape,
	glfw.KeyF:            KeyF,
	glfw.KeyF1:           KeyF1,
	glfw.KeyF10:          KeyF10,
	glfw.KeyF11:          KeyF11,
	glfw.KeyF12:          KeyF12,
	glfw.KeyF2:           KeyF2,
	glfw.KeyF3:           KeyF3,
	glfw.KeyF4:           KeyF4,
	glfw.KeyF5:           KeyF5,
	glfw.KeyF6:           KeyF6,
	glfw.KeyF7:           KeyF7,
	glfw.KeyF8:           KeyF8,
	glfw.KeyF9:           KeyF9,
	glfw.KeyG:            KeyG,
	glfw.KeyH:            KeyH,
	glfw.KeyHome:         KeyHome,
	glfw.KeyI:            KeyI,
	glfw.KeyInsert:       KeyInsert,
	glfw.KeyJ:            KeyJ,
	glfw.KeyK:            KeyK,
	glfw.KeyL:            KeyL,
	glfw.KeyM:            KeyM,
	glfw.KeyLeftSuper:    KeyMetaLeft,
	glfw.KeyRightSuper:   KeyMetaRight,
	glfw.KeyMinus:        KeyMinus,
	glfw.KeyN:            KeyN,
	glfw.KeyNumLock:      KeyNumLock,
	glfw.KeyKP0:          KeyNumpad0,
	glfw.KeyKP1:          KeyNumpad1,
	glfw.KeyKP2:          KeyNumpad2,
	glfw.KeyKP3:          KeyNumpad3,
	glfw.KeyKP4:          KeyNumpad4,
	glfw.KeyKP5:          KeyNumpad5,
	glfw.KeyKP6:          KeyNumpad6,
	glfw.KeyKP7:          KeyNumpad7,
	glfw.KeyKP8:          KeyNumpad8,
	glfw.KeyKP9:          KeyNumpad9,
	glfw.KeyKPAdd:        KeyNumpadAdd,
	glfw.KeyKPDecimal:    KeyNumpadDecimal,
	glfw.KeyKPDivide:     KeyNumpadDivide,
	glfw.KeyKPEnter:      KeyNumpadEnter,
	glfw.KeyKPEqual:      KeyNumpadEqual,
	glfw.KeyKPMultiply:   KeyNumpadMultiply,
	glfw.KeyKPSubtract:   KeyNumpadSubtract,
	glfw.KeyO:            KeyO,
	glfw.KeyP:            KeyP,
	glfw.KeyPageDown:     KeyPageDown,
	glfw.KeyPageUp:       KeyPageUp,
	glfw.KeyPause:        KeyPause,
	glfw.KeyPeriod:       KeyPeriod,
	glfw.KeyPrintScreen:  KeyPrintScreen,
	glfw.KeyQ:            KeyQ,
	glfw.KeyApostrophe:   KeyQuote,
	glfw.KeyR:            KeyR,
	glfw.KeyS:            KeyS,
	glfw.KeyScrollLock:   KeyScrollLock,
	glfw.KeySemicolon:    KeySemicolon,
	glfw.KeyLeftShift:    KeyShiftLeft,
	glfw.KeyRightShift:   KeyShiftRight,
	glfw.KeySlash:        KeySlash,
	glfw.KeySpace:        KeySpace,
	glfw.KeyT:            KeyT,
	glfw.KeyTab:          KeyTab,
	glfw.KeyU:            KeyU,
	glfw.KeyV:            KeyV,
	glfw.KeyW:            KeyW,
	glfw.KeyX:            KeyX,
	glfw.KeyY:            KeyY,
	glfw.KeyZ:            KeyZ,
}

var uiKeyToGLFWKey = map[Key]glfw.Key{
	KeyA:              glfw.KeyA,
	KeyAltLeft:        glfw.KeyLeftAlt,
	KeyAltRight:       glfw.KeyRightAlt,
	KeyArrowDown:      glfw.KeyDown,
	KeyArrowLeft:      glfw.KeyLeft,
	KeyArrowRight:     glfw.KeyRight,
	KeyArrowUp:        glfw.KeyUp,
	KeyB:              glfw.KeyB,
	KeyBackquote:      glfw.KeyGraveAccent,
	KeyBackslash:      glfw.KeyBackslash,
	KeyBackspace:      glfw.KeyBackspace,
	KeyBracketLeft:    glfw.KeyLeftBracket,
	KeyBracketRight:   glfw.KeyRightBracket,
	KeyC:              glfw.KeyC,
	KeyCapsLock:       glfw.KeyCapsLock,
	KeyComma:          glfw.KeyComma,
	KeyContextMenu:    glfw.KeyMenu,
	KeyControlLeft:    glfw.KeyLeftControl,
	KeyControlRight:   glfw.KeyRightControl,
	KeyD:              glfw.KeyD,
	KeyDelete:         glfw.KeyDelete,
	KeyDigit0:         glfw.Key0,
	KeyDigit1:         glfw.Key1,
	KeyDigit2:         glfw.Key2,
	KeyDigit3:         glfw.Key3,
	KeyDigit4:         glfw.Key4,
	KeyDigit5:         glfw.Key5,
	KeyDigit6:         glfw.Key6,
	KeyDigit7:         glfw.Key7,
	KeyDigit8:         glfw.Key8,
	KeyDigit9:         glfw.Key9,
	KeyE:              glfw.KeyE,
	KeyEnd:            glfw.KeyEnd,
	KeyEnter:          glfw.KeyEnter,
	KeyEqual:          glfw.KeyEqual,
	KeyEscape:         glfw.KeyEscape,
	KeyF:              glfw.KeyF,
	KeyF1:             glfw.KeyF1,
	KeyF10:            glfw.KeyF10,
	KeyF11:            glfw.KeyF11,
	KeyF12:            glfw.KeyF12,
	KeyF2:             glfw.KeyF2,
	KeyF3:             glfw.KeyF3,
	KeyF4:             glfw.KeyF4,
	KeyF5:             glfw.KeyF5,
	KeyF6:             glfw.KeyF6,
	KeyF7:             glfw.KeyF7,
	KeyF8:             glfw.KeyF8,
	KeyF9:             glfw.KeyF9,
	KeyG:              glfw.KeyG,
	KeyH:              glfw.KeyH,
	KeyHome:           glfw.KeyHome,
	KeyI:              glfw.KeyI,
	KeyInsert:         glfw.KeyInsert,
	KeyJ:              glfw.KeyJ,
	KeyK:              glfw.KeyK,
	KeyL:              glfw.KeyL,
	KeyM:              glfw.KeyM,
	KeyMetaLeft:       glfw.KeyLeftSuper,
	KeyMetaRight:      glfw.KeyRightSuper,
	KeyMinus:          glfw.KeyMinus,
	KeyN:              glfw.KeyN,
	KeyNumLock:        glfw.KeyNumLock,
	KeyNumpad0:        glfw.KeyKP0,
	KeyNumpad1:        glfw.KeyKP1,
	KeyNumpad2:        glfw.KeyKP2,
	KeyNumpad3:        glfw.KeyKP3,
	KeyNumpad4:        glfw.KeyKP4,
	KeyNumpad5:        glfw.KeyKP5,
	KeyNumpad6:        glfw.KeyKP6,
	KeyNumpad7:        glfw.KeyKP7,
	KeyNumpad8:        glfw.KeyKP8,
	KeyNumpad9:        glfw.KeyKP9,
	KeyNumpadAdd:      glfw.KeyKPAdd,
	KeyNumpadDecimal:  glfw.KeyKPDecimal,
	KeyNumpadDivide:   glfw.KeyKPDivide,
	KeyNumpadEnter:    glfw.KeyKPEnter,
	KeyNumpadEqual:    glfw.KeyKPEqual,
	KeyNumpadMultiply: glfw.KeyKPMultiply,
	KeyNumpadSubtract: glfw.KeyKPSubtract,
	KeyO:              glfw.KeyO,
	KeyP:              glfw.KeyP,
	KeyPageDown:       glfw.KeyPageDown,
	KeyPageUp:         glfw.KeyPageUp,
	KeyPause:          glfw.KeyPause,
	KeyPeriod:         glfw.KeyPeriod,
	KeyPrintScreen:    glfw.KeyPrintScreen,
	KeyQ:              glfw.KeyQ,
	KeyQuote:          glfw.KeyApostrophe,
	KeyR:              glfw.KeyR,
	KeyS:              glfw.KeyS,
	KeyScrollLock:     glfw.KeyScrollLock,
	KeySemicolon:      glfw.KeySemicolon,
	KeyShiftLeft:      glfw.KeyLeftShift,
	KeyShiftRight:     glfw.KeyRightShift,
	KeySlash:          glfw.KeySlash,
	KeySpace:          glfw.KeySpace,
	KeyT:              glfw.KeyT,
	KeyTab:            glfw.KeyTab,
	KeyU:              glfw.KeyU,
	KeyV:              glfw.KeyV,
	KeyW:              glfw.KeyW,
	KeyX:              glfw.KeyX,
	KeyY:              glfw.KeyY,
	KeyZ:              glfw.KeyZ,
}
